>From 724caa022a54ead25187b621d4d98c439922a887 Mon Sep 17 00:00:00 2001
From: Erwan Tulou <erwan10@videolan.org>
Date: Wed, 10 Feb 2010 13:19:42 +0100
Subject: [PATCH] Win32(core): do not duplicate handle

Unlike _endthread and ExitThread, _endthreadex doesn't close the handle.
It is therefore up to the caller to close it. Hence no need for handle
duplication (probably means a memory leak, since _endthreadex was implicitly
 called most of the time)
---
 src/win32/thread.c |   10 +---------
 1 files changed, 1 insertions(+), 9 deletions(-)

diff --git a/src/win32/thread.c b/src/win32/thread.c
index a9128d3..c26cb41 100644
--- a/src/win32/thread.c
+++ b/src/win32/thread.c
@@ -550,15 +550,7 @@ int vlc_clone (vlc_thread_t *p_handle, void * (*entry) (void *), void *data,
         goto error;
     }
 
-    /* Thread closes the handle when exiting, duplicate it here
-     * to be on the safe side when joining. */
-    if (!DuplicateHandle (GetCurrentProcess (), hThread,
-                          GetCurrentProcess (), p_handle, 0, FALSE,
-                          DUPLICATE_SAME_ACCESS))
-    {
-        CloseHandle (hThread);
-        goto error;
-    }
+    *p_handle = hThread;
 
 #else
     vlc_thread_t th = malloc (sizeof (*th));
-- 
1.5.6.5

